# Generated from base64-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name base64

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Support for encoding and decoding binary data using a Base64 representation
License: Ruby and BSD-2-Clause
URL: https://github.com/ruby/base64
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
Support for encoding and decoding binary data using a Base64 representation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
# Do not include HTML documentation with bundled
# Javascript and fonts
%exclude %{gem_docdir}/%{gem_name}-%{version}/rdoc
%doc %{gem_instdir}/README.md

%changelog
* Fri Oct 13 2023 Benson Muite <benson_muite@emailplus.org> - 0.1.1-1
- Initial package
